package com.steerinfo.pretrack.prehookscale.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.pretrack.prehookscale.model.PreHookScale;
import java.math.*;
import java.util.HashMap;
import java.util.List;

import com.steerinfo.pretrack.prerailwayscale.model.PreRailwayScale;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface PreHookScaleMapper extends IBaseMapper<PreHookScale, String> {
    List<PreHookScale> selectlist(String railwayNo);

    List<PreHookScale> selectLikeByRailwayNo(String railwayNo, String valueFlag);

    int batchUpdateByIdsForIn(List<String> ids);

    int batchUpdateByIdsForUsed(List<String> ids);

    List<PreHookScale> selectPre(HashMap map);

    List<PreHookScale> selectByRailwayNo(@Param( value = "railwayNo") String railwayNo);
}